# class Terminal::Table

### Public Instance Methods

render() click to toggle source

    # File lib/common/hacks.rb, line 84
    def render
      separator = Separator.new(self)
      buffer = [separator]
      unless @title.nil?
        buffer << Row.new(self, [title_cell_options])
        buffer << separator
      end
      unless @headings.cells.empty?
        buffer << @headings
        buffer << separator
      end
      buffer += @rows
      buffer << separator
      buffer.map { |r| style.margin_left + r.render }.join("\n")
    end

Also aliased as: to_s
to_s()
Alias for: render